package service

import (
	"blazing/modules/blazing/model"
)

// TalkCheck 获取玩家当前的Talk数据
// todo 待实现xml解析判断是否溢出
func (s *UserService) Talk(t func(*map[uint32]uint32)) {

	m1 := s.Model(s.talk.Model)

	var talks model.TalkEX
	m1.Scan(&talks)

	t(&talks.Data)
	m1.Update(talks)
}
